<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class CategoryValidate extends Validate
{
    protected $rule = [
        'category_name|分类名称' => 'require|chsDash',
        'category_super_id|上级' => 'integer',
        'category_status|分类' => 'require|in:PENDING,ACTIVED,DISABLED',
        'category_classify|归类' => 'chsDash',
        'category_type|类型' => 'chsDash',
        'category_sort|排序' => 'integer',
        'category_groupby|分组' => 'chsDash',
//        'category_remark|备注' => 'chsDash'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['category_name', 'category_super_id', 'category_status', 'category_classify', 'category_type', 'category_sort', 'category_groupby', 'category_remark'],
        'update' => ['category_name', 'category_super_id', 'category_classify', 'category_type', 'category_sort', 'category_groupby', 'category_remark'],
        'update_status' => ['category_status']
    ];
}